package com.fastbee.ggroup.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 图例类型对象 g_legend_type
 *
 * @author kerwincui
 * @date 2024-10-09
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GLegendType",description = "图例类型 g_legend_type")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class GLegendType extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 图例类型名称 */
            @Excel(name = "图例类型名称")
            @ApiModelProperty("图例类型名称")
    private String typeName;

    /** 图例类型描述 */
            @Excel(name = "图例类型描述")
            @ApiModelProperty("图例类型描述")
    private String description;

    /** 类别 */
            @Excel(name = "类别")
            @ApiModelProperty("类别")
    private String category;

}
