package com.fastbee.ggroup.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 站点组关系对象 g_site_groups
 *
 * @author kerwincui
 * @date 2024-09-30
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GSiteGroups",description = "站点组关系 g_site_groups")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class GSiteGroups extends BaseEntity
        {
private static final long serialVersionUID = 1L;

   /** 主键 */
   @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 站点id */
            @Excel(name = "站点id")
            @ApiModelProperty("站点id")
    private Long siteId;

    /** 组id(关联表g_group的id) */
            @Excel(name = "组id(关联表g_group的id)")
            @ApiModelProperty("组id(关联表g_group的id)")
    private Long parentId;

    /** 项目id */
            @Excel(name = "项目id")
            @ApiModelProperty("项目id")
    private Long projectId;

    /** 排序 */
            @Excel(name = "排序")
            @ApiModelProperty("排序")
    private Long orderNum;

}
