package com.fastbee.ggroup.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.SuperBuilder;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

import java.util.Map;

/**
 * 站点对象 g_sites
 *
 * @author kerwincui
 * @date 2024-09-29
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GSites",description = "站点 g_sites")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class GSites extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 站点名称 */
            @Excel(name = "站点名称")
            @ApiModelProperty("站点名称")
    private String name;

    /** 图标 */
            @Excel(name = "图标")
            @ApiModelProperty("图标")
    private String icon;

    /** 类型 */
            @Excel(name = "类型")
            @ApiModelProperty("类型")
    private String type;

    /** 空间数据 */
            @Excel(name = "空间数据")
            @ApiModelProperty("空间数据")
    private String space;

    /** 项目id */
    @Excel(name = "项目id")
    @ApiModelProperty("项目id")
    private Long projectId;

    private String spaceValue;

}
