package com.fastbee.ggroup.mapper;

import java.util.List;
import com.fastbee.ggroup.domain.GLegendType;
import com.github.yulichang.base.MPJBaseMapper;

/**
 * 图例类型Mapper接口
 *
 * @author kerwincui
 * @date 2024-10-09
 */
public interface GLegendTypeMapper extends MPJBaseMapper<GLegendType>
{
    /**
     * 查询图例类型
     *
     * @param id 图例类型主键
     * @return 图例类型
     */
    public GLegendType selectGLegendTypeById(Long id);

    /**
     * 查询图例类型列表
     *
     * @param gLegendType 图例类型
     * @return 图例类型集合
     */
    public List<GLegendType> selectGLegendTypeList(GLegendType gLegendType);

    /**
     * 新增图例类型
     *
     * @param gLegendType 图例类型
     * @return 结果
     */
    public int insertGLegendType(GLegendType gLegendType);

    /**
     * 修改图例类型
     *
     * @param gLegendType 图例类型
     * @return 结果
     */
    public int updateGLegendType(GLegendType gLegendType);

    /**
     * 删除图例类型
     *
     * @param id 图例类型主键
     * @return 结果
     */
    public int deleteGLegendTypeById(Long id);

    /**
     * 批量删除图例类型
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGLegendTypeByIds(Long[] ids);
}
