package com.fastbee.ggroup.service;

import java.util.List;
import java.util.Map;

import com.fastbee.ggroup.domain.GLegendType;

/**
 * 图例类型Service接口
 * 
 * @author kerwincui
 * @date 2024-10-09
 */
public interface IGLegendTypeService 
{
    /**
     * 查询图例类型
     * 
     * @param id 图例类型主键
     * @return 图例类型
     */
    public GLegendType selectGLegendTypeById(Long id);

    /**
     * 查询图例类型列表
     * 
     * @param gLegendType 图例类型
     * @return 图例类型集合
     */
    public List<GLegendType> selectGLegendTypeList(GLegendType gLegendType);

    /**
     * 新增图例类型
     * 
     * @param gLegendType 图例类型
     * @return 结果
     */
    public int insertGLegendType(GLegendType gLegendType);

    /**
     * 修改图例类型
     * 
     * @param gLegendType 图例类型
     * @return 结果
     */
    public int updateGLegendType(GLegendType gLegendType);

    /**
     * 批量删除图例类型
     * 
     * @param ids 需要删除的图例类型主键集合
     * @return 结果
     */
    public int deleteGLegendTypeByIds(Long[] ids);

    /**
     * 删除图例类型信息
     * 
     * @param id 图例类型主键
     * @return 结果
     */
    public int deleteGLegendTypeById(Long id);


}
