package com.fastbee.iot.domain;

import com.fastbee.common.annotation.Excel;
import lombok.Data;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 数据桥接对象 bridge
 *
 * @author zhuangpeng.li
 * @date 2024-06-06
 */
@Data
public class Bridge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id唯一标识 */
    private Long id;

    @Excel(name = "桥接配置信息")
    private String configJson;

    /** 连接器名称 */
    @Excel(name = "连接器名称")
    private String name;

    /** 是否生效（0-不生效，1-生效） */
    @Excel(name = "是否生效", readConverterExp = "0=-不生效，1-生效")
    private String enable;

    /** 状态（1-未连接，2-连接中） */
    @Excel(name = "状态", readConverterExp = "0=-未连接，1-连接中")
    private String status;

    /** 桥接类型(3=Http推送，4=Mqtt桥接，5=数据库存储) */
    @Excel(name = "桥接类型(3=Http推送，4=Mqtt桥接，5=数据库存储)")
    private Integer type;

    /** 桥接方向(1=输入，2=输出) */
    @Excel(name = "桥接方向(1=输入，2=输出)")
    private Integer direction;

    @Excel(name = "桥接路由（mqtt topic，http url）")
    private String route;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

}
