package com.fastbee.iot.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 固件升级任务详细对象 iot_firmware_task_detail
 * 
 * @author kerwincui
 * @date 2022-10-24
 */
@ApiModel(value = "FirmwareTaskDetail", description = "固件升级任务详细对象 iot_firmware_task_detail")
public class FirmwareTaskDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty("主键ID")
    private Long id;

    /** $column.columnComment */
    @ApiModelProperty("任务ID")
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long taskId;

    /** 设备编码 */
    @ApiModelProperty("设备编码")
    @Excel(name = "设备编码")
    private String serialNumber;

    /** 0:等待升级 1:已发送设备 2:设备收到  3:升级成功 4:升级失败 */
    @ApiModelProperty(value = "状态", notes = "0:等待升级 1:已发送设备 2:设备收到  3:升级成功 4:升级失败")
    @Excel(name = "0:等待升级 1:已发送设备 2:设备收到  3:升级成功 4:升级失败")
    private Integer upgradeStatus;

    /** 描述 */
    @ApiModelProperty("描述")
    @Excel(name = "描述")
    private String detailMsg;

    /** 消息ID */
    @ApiModelProperty("消息ID")
    @Excel(name = "消息ID")
    private String messageId;
    /*任务名称*/
    @ApiModelProperty("任务名称")
    private String taskName;
    /**固件名称*/
    @ApiModelProperty("固件名称")
    private String firmwareName;
    /**固件版本*/
    @ApiModelProperty("固件版本")
    private String version;

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getFirmwareName() {
        return firmwareName;
    }

    public void setFirmwareName(String firmwareName) {
        this.firmwareName = firmwareName;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setSerialNumber(String serialNumber) 
    {
        this.serialNumber = serialNumber;
    }

    public String getSerialNumber() 
    {
        return serialNumber;
    }

    public Integer getUpgradeStatus() {
        return upgradeStatus;
    }

    public void setUpgradeStatus(Integer upgradeStatus) {
        this.upgradeStatus = upgradeStatus;
    }

    public void setDetailMsg(String detailMsg)
    {
        this.detailMsg = detailMsg;
    }

    public String getDetailMsg() 
    {
        return detailMsg;
    }
    public void setMessageId(String messageId) 
    {
        this.messageId = messageId;
    }

    public String getMessageId() 
    {
        return messageId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("serialNumber", getSerialNumber())
            .append("upgradeStatus", getUpgradeStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("detailMsg", getDetailMsg())
            .append("messageId", getMessageId())
            .toString();
    }
}
