package com.fastbee.iot.service;

import java.util.List;
import com.fastbee.iot.domain.FirmwareTask;
import com.fastbee.iot.model.FirmwareTaskInput;

/**
 * 固件升级任务Service接口
 * 
 * @author kerwincui
 * @date 2022-10-24
 */
public interface IFirmwareTaskService 
{
    /**
     * 查询固件升级任务
     * 
     * @param id 固件升级任务主键
     * @return 固件升级任务
     */
    public FirmwareTask selectFirmwareTaskById(Long id);

    /**
     * 查询固件升级任务列表
     * 
     * @param firmwareTask 固件升级任务
     * @return 固件升级任务集合
     */
    public List<FirmwareTask> selectFirmwareTaskList(FirmwareTask firmwareTask);

    /**
     * 新增固件升级任务
     * 
     * @param firmwareTask 固件升级任务
     * @return 结果
     */
    public Long insertFirmwareTask(FirmwareTaskInput firmwareTaskInput);

    /**
     * 修改固件升级任务
     * 
     * @param firmwareTask 固件升级任务
     * @return 结果
     */
    public int updateFirmwareTask(FirmwareTask firmwareTask);

    /**
     * 批量删除固件升级任务
     * 
     * @param ids 需要删除的固件升级任务主键集合
     * @return 结果
     */
    public int deleteFirmwareTaskByIds(Long[] ids);

    /**
     * 删除固件升级任务信息
     * 
     * @param id 固件升级任务主键
     * @return 结果
     */
    public int deleteFirmwareTaskById(Long id);
}
